## kde4libs 4.8.5

=== kdecore/CMakeLists.txt ===
project(kdecore)

# Generate config-kstandarddirs.h
configure_file(config-kstandarddirs.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kstandarddirs.h )

# Generate kdefakes.h
configure_file(kdefakes.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/kdefakes.h )

# Generate kdeversion.h
configure_file(util/kdeversion.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/kdeversion.h )

# Configure checks for kdirwatch
macro_optional_find_package(FAM)
macro_bool_to_01(FAM_FOUND HAVE_FAM)

check_include_files(sys/inotify.h SYS_INOTIFY_H_FOUND)
macro_bool_to_01(SYS_INOTIFY_H_FOUND HAVE_SYS_INOTIFY_H)

# Generate io/config-kdirwatch.h
configure_file(io/config-kdirwatch.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/io/config-kdirwatch.h )

# Configure checks for network/ but also for netsupp.*
include(network/ConfigureChecks.cmake)
configure_file(network/config-network.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/network/config-network.h )
include_directories( ${CMAKE_CURRENT_BINARY_DIR}/network )

# Configure checks for date/
include(date/ConfigureChecks.cmake)
configure_file(date/config-date.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/date/config-date.h)
include_directories( ${CMAKE_CURRENT_BINARY_DIR}/date )

# Configure checks for compression/
include(compression/ConfigureChecks.cmake)
configure_file(compression/config-compression.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/compression/config-compression.h)
include_directories( ${CMAKE_CURRENT_BINARY_DIR}/compression )

# This file handles all the logic for compiling KAuth's backends
include(auth/ConfigureChecks.cmake)
include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/auth/ )

# Configure a small file to tell BackendsManager what to use
configure_file(auth/BackendsConfig.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/BackendsConfig.h)

# Configure checks for localization
configure_file(localization/config-localization.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-localization.h)

include_directories( ${KDE4_KDECORE_INCLUDES} )
include_directories( ${ZLIB_INCLUDE_DIR} )
include_directories( ${QT_INCLUDES} )

if (KDE_PLATFORM_FEATURE_DISABLE_DEPRECATED)
   set(KDECORE_NO_KDE3SUPPORT TRUE)
endif(KDE_PLATFORM_FEATURE_DISABLE_DEPRECATED)

include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/sonnet/ )

# kdecore_OPTIONAL_SRCS is used to collect source files
# which are not always compiled into kdecore
# if it's used, *always* append to it
set(kdecore_OPTIONAL_SRCS)
# same for optional libs
set(kdecore_OPTIONAL_LIBS)

add_definitions(-DQT_NO_CAST_FROM_ASCII)

if(WIN32)
   set(kdecore_OPTIONAL_LIBS ${kdecore_OPTIONAL_LIBS} ${KDEWIN_LIBRARIES})
endif(WIN32)

# Needed for the kdatetime test in release mode
if(KDE4_BUILD_TESTS)
   add_definitions(-DCOMPILING_TESTS)
endif(KDE4_BUILD_TESTS)

# compile bzip2 support if available
if(BZIP2_FOUND)
   include_directories(${BZIP2_INCLUDE_DIR})
   set(kdecore_OPTIONAL_SRCS ${kdecore_OPTIONAL_SRCS} compression/kbzip2filter.cpp )
   set(kdecore_OPTIONAL_LIBS ${kdecore_OPTIONAL_LIBS} ${BZIP2_LIBRARIES})
endif(BZIP2_FOUND)

# compile lzma support if available
if(LIBLZMA_FOUND)
   include_directories(${LIBLZMA_INCLUDE_DIRS})
   set(kdecore_OPTIONAL_SRCS ${kdecore_OPTIONAL_SRCS} compression/kxzfilter.cpp )
   set(kdecore_OPTIONAL_LIBS ${kdecore_OPTIONAL_LIBS} ${LIBLZMA_LIBRARIES})
endif(LIBLZMA_FOUND)

# compile Gettext support if available
if(LIBINTL_FOUND)
  include_directories(${LIBINTL_INCLUDE_DIR})
  set(kdecore_OPTIONAL_LIBS ${kdecore_OPTIONAL_LIBS} ${LIBINTL_LIBRARIES})
endif(LIBINTL_FOUND)

if (HAVE_RESOLV_LIBRARY)
  set(kdecore_OPTIONAL_LIBS ${kdecore_OPTIONAL_LIBS} resolv)
endif (HAVE_RESOLV_LIBRARY)

if (APPLE)
   set(kdecore_OPTIONAL_SRCS ${kdecore_OPTIONAL_SRCS}
      kernel/kkernel_mac.cpp
      localization/klocale_mac.cpp
   )

   set(kdecore_OPTIONAL_LIBS ${kdecore_OPTIONAL_LIBS} ${CARBON_LIBRARY})
endif (APPLE)

if (WIN32)
   LIST(APPEND kdecore_OPTIONAL_SRCS
      kernel/kkernel_win.cpp
      kernel/ktoolinvocation_win.cpp
      kernel/kstandarddirs_win.cpp
      localization/klocale_win.cpp
      network/klocalsocket_win.cpp
      io/klockfile_win.cpp
      util/kde_file_win.cpp
      util/kmacroexpander_win.cpp
      util/kshell_win.cpp
      date/ktimezone_win.cpp
   )
   if(NOT WINCE)
       LIST(APPEND kdecore_OPTIONAL_SRCS
          util/kuser_win.cpp
       )
   else(NOT WINCE)
       LIST(APPEND kdecore_OPTIONAL_SRCS
          util/kuser_wince.cpp
       )
   endif(NOT WINCE)
   if(NOT MSVC)
      LIST(APPEND kdecore_OPTIONAL_SRCS
         network/netsupp.cpp
      )
   endif(NOT MSVC)
endif (WIN32)


if (UNIX)
   set(kdecore_OPTIONAL_SRCS ${kdecore_OPTIONAL_SRCS}
      kernel/ktoolinvocation_x11.cpp
      kernel/kstandarddirs_unix.cpp
      localization/klocale_unix.cpp
      network/klocalsocket_unix.cpp
      network/netsupp.cpp
      io/klockfile_unix.cpp
      util/kshell_unix.cpp
      util/kuser_unix.cpp
      util/kmacroexpander_unix.cpp
      fakes.c
   )
   if (NOT KDECORE_NO_KDE3SUPPORT)
      set(kdecore_OPTIONAL_SRCS ${kdecore_OPTIONAL_SRCS}
         network/k3httpproxysocketdevice.cpp
         network/k3socks.cpp
         network/k3sockssocketdevice.cpp
      )
   endif (NOT KDECORE_NO_KDE3SUPPORT)
endif (UNIX)

add_subdirectory( kconfig_compiler )
add_subdirectory( tests )
add_subdirectory( sonnet/tests )
if ( NOT WINCE )
    add_subdirectory( network/kssld )
endif ( NOT WINCE )

########### next target ###############

if (UNIX)

   kde4_add_library(kdefakes ${LIBRARY_TYPE} fakes.c)
   set_target_properties(kdefakes PROPERTIES VERSION ${KDE_NON_GENERIC_LIB_VERSION} SOVERSION ${KDE_NON_GENERIC_LIB_SOVERSION})
   if (NOT HAVE_TRUNC)
       target_link_libraries(kdefakes  m )
   endif (NOT HAVE_TRUNC)
   install(TARGETS kdefakes EXPORT kdelibsLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS} )

endif (UNIX)



########### next target ###############

set(kdecore_LIB_SRCS
   compression/kgzipfilter.cpp
   compression/kfilterbase.cpp
   compression/kfilterdev.cpp
   config/kconfig.cpp
   config/kconfigbase.cpp
   config/kconfiggroup.cpp
   config/kconfigbackend.cpp
   config/kconfigini.cpp
   config/kdesktopfile.cpp
   config/ksharedconfig.cpp
   config/kcoreconfigskeleton.cpp
   date/kcalendarera.cpp
   date/kcalendarsystem.cpp
   date/kcalendarsystemcoptic.cpp
   date/kcalendarsystemethiopian.cpp
   date/kcalendarsystemqdate.cpp
   date/kcalendarsystemgregorian.cpp
   date/kcalendarsystemislamiccivil.cpp
   date/kcalendarsystemhebrew.cpp
   date/kcalendarsystemindiannational.cpp
   date/kcalendarsystemjalali.cpp
   date/kcalendarsystemjapanese.cpp
   date/kcalendarsystemjulian.cpp
   date/kcalendarsystemminguo.cpp
   date/kcalendarsystemthai.cpp
   date/kdatetime.cpp
   date/kdatetimeformatter.cpp
   date/kdatetimeparser.cpp
   date/kdayperiod.cpp
   date/klocalizeddate.cpp
   date/ktimezone.cpp
   date/ksystemtimezone.cpp
   date/ktzfiletimezone.cpp
   io/kar.cpp
   io/karchive.cpp
   io/kautosavefile.cpp
   io/kdebug.cpp
   io/kdebugdbusiface.cpp
   io/kdirwatch.cpp
   io/kfilesystemtype_p.cpp
   io/klimitediodevice.cpp
   io/kmessage.cpp
   io/kmountpoint.cpp
   io/kprocess.cpp
   io/ksavefile.cpp
   io/ktar.cpp
   io/ktempdir.cpp
   io/ktemporaryfile.cpp
   io/kurl.cpp
   io/kzip.cpp
   jobs/kcompositejob.cpp
   jobs/kjob.cpp
   jobs/kjobuidelegate.cpp
   jobs/kjobtrackerinterface.cpp
   kernel/kauthorized.cpp
   kernel/kaboutdata.cpp
   kernel/kcmdlineargs.cpp
   kernel/kglobal.cpp
   kernel/kcomponentdata.cpp
   kernel/kstandarddirs.cpp
   kernel/ktoolinvocation.cpp
   auth/kauthaction.cpp
   auth/kauthactionreply.cpp
   auth/kauthactionwatcher.cpp
   auth/AuthBackend.cpp
   auth/BackendsManager.cpp
   auth/HelperProxy.cpp
   auth/kauthhelpersupport.cpp
   auth/backends/fake/FakeBackend.cpp
   auth/backends/fakehelper/FakeHelperProxy.cpp
   services/kfoldermimetype.cpp
   services/kmimetypefactory.cpp
   services/kmimemagicrule.cpp
   services/kmimetypetrader.cpp
   services/kmimetype.cpp
   services/kmimeglobsfileparser.cpp
   services/kmimetyperepository.cpp
   services/kservice.cpp
   services/kserviceaction.cpp
   services/kservicefactory.cpp
   services/kservicegroup.cpp
   services/kservicegroupfactory.cpp
   services/kserviceoffer.cpp
   services/kservicetype.cpp
   services/kservicetypefactory.cpp
   services/kservicetypeprofile.cpp
   services/kservicetypetrader.cpp
   services/ktraderparse.cpp
   services/ktraderparsetree.cpp
   services/yacc.c
   services/lex.c
   services/kplugininfo.cpp
   sonnet/loader.cpp
   sonnet/client.cpp
   sonnet/spellerplugin.cpp
   sonnet/speller.cpp
   sonnet/filter.cpp
   sonnet/settings.cpp
   sonnet/backgroundchecker.cpp
   sonnet/backgroundengine.cpp
   sonnet/globals.cpp
)

if (NOT KDECORE_NO_KDE3SUPPORT)
   set(kdecore_LIB_SRCS ${kdecore_LIB_SRCS}
      network/k3socketdevice.cpp # must be before the rest of network/, for enable-final
      network/k3bufferedsocket.cpp
      network/k3clientsocketbase.cpp
      network/k3datagramsocket.cpp
      network/k3resolver.cpp
      network/k3resolvermanager.cpp
      network/k3resolverworkerbase.cpp
      network/k3resolverstandardworkers.cpp
      network/k3reverseresolver.cpp
      network/k3serversocket.cpp
      network/k3socketaddress.cpp
      network/k3socketbase.cpp
      network/k3streamsocket.cpp
      network/k3socketbuffer.cpp
   )
endif (NOT KDECORE_NO_KDE3SUPPORT)

set(kdecore_LIB_SRCS ${kdecore_LIB_SRCS}
   network/klocalsocket.cpp
   network/ksocketfactory.cpp
   network/ksslcertificatemanager.cpp
   network/ktcpsocket.cpp
   localization/kcatalog.cpp
   localization/kcurrencycode.cpp
   localization/kcharsets.cpp
   localization/kencodingdetector.cpp
   localization/guess_ja.cpp
   localization/kencodingprober.cpp
   localization/probers/CharDistribution.cpp
   localization/probers/ChineseGroupProber.cpp
   localization/probers/JapaneseGroupProber.cpp
   localization/probers/JpCntx.cpp
   localization/probers/LangBulgarianModel.cpp
   localization/probers/LangCyrillicModel.cpp
   localization/probers/LangGreekModel.cpp
   localization/probers/LangHebrewModel.cpp
   localization/probers/LangHungarianModel.cpp
   localization/probers/LangThaiModel.cpp
   localization/probers/UnicodeGroupProber.cpp
   localization/probers/nsBig5Prober.cpp
   localization/probers/nsCharSetProber.cpp
   localization/probers/nsEUCJPProber.cpp
   localization/probers/nsEUCKRProber.cpp
   localization/probers/nsEUCTWProber.cpp
   localization/probers/nsEscCharsetProber.cpp
   localization/probers/nsEscSM.cpp
   localization/probers/nsGB2312Prober.cpp
   localization/probers/nsHebrewProber.cpp
   localization/probers/nsLatin1Prober.cpp
   localization/probers/nsMBCSGroupProber.cpp
   localization/probers/nsMBCSSM.cpp
   localization/probers/nsSBCSGroupProber.cpp
   localization/probers/nsSBCharSetProber.cpp
   localization/probers/nsSJISProber.cpp
   localization/probers/nsUniversalDetector.cpp
   localization/klocale.cpp
   localization/klocale_kde.cpp
   localization/klocalizedstring.cpp
   localization/kuitsemantics.cpp
   localization/kuitformats.cpp
   localization/common_helpers.cpp
   sycoca/ksycoca.cpp
   sycoca/ksycocadict.cpp
   sycoca/ksycocaentry.cpp
   sycoca/ksycocafactory.cpp
   sycoca/kprotocolinfo.cpp
   sycoca/kprotocolinfofactory.cpp
   sycoca/kmemfile.cpp
   text/kascii.cpp
   text/kcodecs.cpp
   text/kstringhandler.cpp
   util/kallocator.cpp
   util/kautostart.cpp
   util/kdedmodule.cpp
   util/kdeversion.cpp
   util/klauncher_iface.cpp
   util/klibrary.cpp
   util/kmacroexpander.cpp
   util/kpluginfactory.cpp
   util/kpluginloader.cpp
   util/kshell.cpp
   util/krandom.cpp
   util/krandomsequence.cpp
   util/qtest_kde.cpp
   ${kdecore_OPTIONAL_SRCS}
)

if(NOT KDE_NO_DEPRECATED)
    set(kdecore_LIB_SRCS ${kdecore_LIB_SRCS}
       util/klibloader.cpp
    )
endif(NOT KDE_NO_DEPRECATED)

if(NOT WIN32)
    set(kdecore_LIB_SRCS ${kdecore_LIB_SRCS} util/kshareddatacache.cpp)
    set(kdecore_OPTIONAL_LIBS ${kdecore_OPTIONAL_LIBS} ${CMAKE_THREAD_LIBS_INIT})

    # KSharedDataCache uses exceptions as of 4.8.4, the rest of kdecore

=== doc/kjs/CMakeLists.txt ===
kde4_create_manpage(man-kjs.1.docbook 1 INSTALL_DESTINATION ${MAN_INSTALL_DIR})

=== kdeui/tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )
add_subdirectory(kconfig_compiler)

include_directories( ${KDE4_KDEUI_INCLUDES} proxymodeltestsuite )

# QtTest needs this in order to include the gui stuff.
# The alternative (which requires Qt>=4.6) is #include <QTestGui>
add_definitions(-DQT_GUI_LIB)


MACRO(KDEUI_UNIT_TESTS)
       FOREACH(_testname ${ARGN})
               kde4_add_unit_test(${_testname} TESTNAME kdeui-${_testname} ${_testname}.cpp)
               target_link_libraries(${_testname} ${KDE4_KDEUI_LIBS} ${QT_QTTEST_LIBRARY} ${QT_QTXML_LIBRARY} ${KDEWIN_LIBRARIES})
       ENDFOREACH(_testname)
ENDMACRO(KDEUI_UNIT_TESTS)
MACRO(KDEUI_EXECUTABLE_TESTS)
       FOREACH(_testname ${ARGN})
               kde4_add_executable(${_testname} TEST ${_testname}.cpp)
               target_link_libraries(${_testname} ${KDE4_KDEUI_LIBS} ${QT_QTTEST_LIBRARY} ${QT_QTXML_LIBRARY} ${KDEWIN_LIBRARIES})
       ENDFOREACH(_testname)
ENDMACRO(KDEUI_EXECUTABLE_TESTS)

SET(proxyModelTestSources
  kselectionproxymodeltestsuite.cpp
)

add_subdirectory(proxymodeltestsuite)

MACRO(KDEUI_PROXYMODEL_TESTS)
       FOREACH(_testname ${ARGN})
               kde4_add_unit_test(${_testname} TESTNAME kdeui-${_testname} ${_testname}.cpp ${proxyModelTestSources} )
               target_link_libraries(${_testname} ${KDE4_KDEUI_LIBS} ${QT_QTTEST_LIBRARY} ${QT_QTXML_LIBRARY} ${KDEWIN32_LIBRARIES} proxymodeltestsuite )
       ENDFOREACH(_testname)
ENDMACRO(KDEUI_PROXYMODEL_TESTS)


KDEUI_UNIT_TESTS(
  kactioncollectiontest
  kactioncategorytest
  kbuttongrouptest
  kcompletioncoretest
  kconfigguitest
  kconfigskeletontest
  kdualactiontest
  kfadewidgeteffecttest
  kfindtest
  kglobalsettingstest
  kglobalshortcuttest
  kmainwindow_unittest
  klineedit_unittest
  ktextedit_unittest
  kcombobox_unittest
  kdialog_unittest
  kreplacetest
  kshortcuttest
  kstandardactiontest
  kstandardshortcuttest
  kuniqueapptest
  kwordwraptest
  kapplication_unittest
  kstartupinfo_unittest
  kcolorutilstest
  kxmlgui_unittest
  ktimezonewidget_unittest
  kiconloader_unittest
  ktabwidget_unittest
  ktoolbar_unittest
  krichtextedittest
  kselectaction_unittest
  klistwidgetsearchlinetest
  ktimecomboboxtest
  kdatecomboboxtest
  kdatetimeedittest
  kconfigdialog_unittest
)

KDEUI_PROXYMODEL_TESTS(
  kdescendantsproxymodeltest
  kselectionproxymodeltest
  testmodelqueuedconnections
)

KDEUI_EXECUTABLE_TESTS(
  kaccelgentest
  kactionselectortest
  kanimatedbuttontest
  kcharselecttest
  kapptest
  kassistantdialogtest
  kbugreporttest
  kcategorizedviewtest
  kcodecactiontest
  kcolorcollectiontest
  kcolordlgtest
  kcolorcombotest
  kcomboboxtest
  kcompletionuitest
  kdatepicktest
  kdatetabletest
  kdatetimewidgettest
  kdatewidgettest
  kdebugtest_gui
  kdialogbuttonboxtest
  kdialogtest
  kfontdialogtest
  kglobalsettingsclient # helper program for kglobalsettingstest
  khboxtest
  kiconeffecttest
  kiconloadertest
  kinputdialogtest
  kjobtrackerstest
  kledtest
  klineedittest
  kmainwindowtest
  kmainwindowrestoretest
  kmessageboxtest
  kmessagetest
  kmodifierkeyinfotest
  knewpassworddialogtest
  kstatusnotifieritemtest
  knotificationrestrictionstest
  knuminputtest
  kpagedialogtest
  kpagewidgettest
  kpassivepopuptest
  kpassworddialogtest
  kpixmapregionselectordialogtest
  kpopuptest
  kprogressdialogtest
  krulertest
  kselectactiontest
  kseparatortest
  kstatusbartest
  ksqueezedtextlabeltest
  ksystemtraytest
  ktabwidgettest
  ktextedittest
  ktextbrowsertest
  ktitlewidgettest
  ktoolbartest
  ktoolbarlabelactiontest
  ktreewidgetsearchlinetest
  kwallettest
  kwidgetitemdelegatetest
  kwindowtest
  kxmlguitest
  kxmlguiwindowtest
  testqtargs
  kpixmapsequenceoverlaypaintertest
)

if (NOT KDE_NO_DEPRECATED)
KDEUI_EXECUTABLE_TESTS(
  keditlistboxtest
)
endif (NOT KDE_NO_DEPRECATED)

if (Q_WS_X11)

KDEUI_EXECUTABLE_TESTS(
 fixx11h_test
 fixx11h_test2
 kmanagerselectiontest
 kxerrorhandlertest
)
target_link_libraries(kmanagerselectiontest ${X11_X11_LIB})
target_link_libraries(kxerrorhandlertest ${X11_X11_LIB})
endif (Q_WS_X11)

## kplottest

set(kplottest_SRCS testplot_widget.cpp testplot_main.cpp)
kde4_add_executable(kplottest TEST ${kplottest_SRCS})
target_link_libraries(kplottest ${KDE4_KDEUI_LIBS})

## kcolorutilsdemo

SET(kcolorUtilsDemoSources kcolorutilsdemo.cpp kimageframe.cpp ../colors/kcolorspaces.cpp)
kde4_add_ui_files(kcolorUtilsDemoSources kcolorutilsdemo.ui)
kde4_add_executable(kcolorutilsdemo ${kcolorUtilsDemoSources})
target_link_libraries(kcolorutilsdemo ${KDE4_KDEUI_LIBS} ${KDEWIN_LIBRARIES})


add_subdirectory(proxymodeltestapp)

=== kio/misc/CMakeLists.txt ===

# for strange kio/foo.h includes
include_directories( BEFORE ${CMAKE_SOURCE_DIR}/kio )

add_subdirectory( ksendbugmail )
if(NOT WIN32)
  # arpa/nameser.h
  add_subdirectory( kpac )
endif(NOT WIN32)
add_subdirectory( kntlm )

########### next target ###############

set(kmailservice_SRCS kmailservice.cpp )


kde4_add_executable(kmailservice NOGUI ${kmailservice_SRCS})

target_link_libraries(kmailservice  ${KDE4_KDEUI_LIBS})

install(TARGETS kmailservice DESTINATION ${LIBEXEC_INSTALL_DIR})
install(PROGRAMS kmailservice.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

########### next target ###############

set(ktelnetservice_SRCS ktelnetservice.cpp )


kde4_add_executable(ktelnetservice NOGUI ${ktelnetservice_SRCS})

target_link_libraries(ktelnetservice  ${KDE4_KDEUI_LIBS} )

install(TARGETS ktelnetservice DESTINATION ${LIBEXEC_INSTALL_DIR} )
install(PROGRAMS ktelnetservice.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

########### install files ###############

install( FILES rtsp.protocol mms.protocol mmst.protocol mmsu.protocol pnm.protocol rtspt.protocol rtspu.protocol  DESTINATION  ${SERVICES_INSTALL_DIR} )

# install the fileshareset and filesharelist scripts, they are not required on windows
if (UNIX)
   install(PROGRAMS fileshareset DESTINATION ${LIBEXEC_INSTALL_DIR} )

   install(CODE "
        set(FILESHARESET_PATH \"\$ENV{DESTDIR}${LIBEXEC_INSTALL_DIR}/fileshareset\")
        EXECUTE_PROCESS(COMMAND sh -c \"chown 0 '\${FILESHARESET_PATH}' && chmod u+s '\${FILESHARESET_PATH}'\")
   ")

   # write a cmake script file which creates the symlink
   file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/make_fileshare_symlink.cmake "exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${LIBEXEC_INSTALL_DIR}/fileshareset \"\$ENV{DESTDIR}${LIBEXEC_INSTALL_DIR}/filesharelist\")\n")
   # and add it as post-install script to any of the installed targets, so it will be executed during "make install"
   set_target_properties(ktelnetservice PROPERTIES POST_INSTALL_SCRIPT ${CMAKE_CURRENT_BINARY_DIR}/make_fileshare_symlink.cmake)
endif (UNIX)

=== debian/changelog ===
kde4libs (4:4.8.5-0ubuntu0.1) precise-proposed; urgency=low

  [ Scott Kitterman ]
  * New upstream bugfix release (LP: #1047417)
    - Drop patches cherrypicked from upstrea:
      Revert_disconnect_before_re-connecting.diff
      Revert_Always_rec-connect_if_forced.diff

  [ Felix Geyer ]
  * Install new kdoctools language customizations.
  * Update libkdeui5 symbols file.

 -- Felix Geyer <debfx@ubuntu.com>  Fri, 07 Sep 2012 16:47:08 +0200

=== debian/control ===
Source: kde4libs
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>, Armin Berres <armin+debian@space-based.de>,
 Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>,
 José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: debhelper (>= 7.3.16), cmake (>= 2.6.4), pkg-kde-tools (>= 0.14), libdlrestrictions-dev (>= 0.14),
 shared-mime-info (>= 0.30), dpkg-dev (>= 1.15.5), libphonon-dev (>= 4:4.7.0really4.3.80),
 libqt4-dev (>= 4:4.7.0), libqt4-opengl-dev (>= 4:4.7.0), libqtwebkit-dev,
 libpng-dev, libssl-dev, libsm-dev, flex, bison,
 libsoprano-dev (>= 2.5.60), libstreamanalyzer-dev (>= 0.6.3),
 libxml2-dev, libxml2-utils, libxslt1-dev, libgif-dev,
 libavahi-common-dev, libbz2-dev, libenchant-dev,
 libjasper-dev, libopenexr-dev, libpcre3-dev, zlib1g-dev, libjpeg-dev, hspell,
 libacl1-dev, automoc (>= 1.0~version-0.9.88),
 libutempter-dev, liblzma-dev, libattica-dev (>= 0.1.90), shared-desktop-ontologies (>= 0.6.50),
 libpolkit-qt-1-dev (>= 0.99.0), libxss-dev, libqca2-dev, libdbusmenu-qt-dev, docbook-xml, docbook-xsl,
 libxrender-dev, libkrb5-dev, libudev-dev [linux-any], libgrantlee-dev
Standards-Version: 3.9.2
Homepage: http://www.kde.org/
X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kde4libs.git
X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/kde4libs.git
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdelibs
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdelibs

Package: libkdecore5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdelibs5 (<< 4:4.4.60), kdelibs5-data (<< 4:4.4.60)
Breaks: kdelibs5 (<< 4:4.4.60), kdelibs5-data (<< 4:4.4.60)
Description: KDE Platform Core Library
 All KDE Applications use this library to provide basic functionality such as
 the configuration system, IPC, internationalization and locale support,
 site-independent access to the filesystem and a large number of other (but no
 less important) things. The classes in this library does not require linkage
 to QtGui or any other library that requires a graphical interface.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkdeui5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: kdelibs5-data (>= ${source:Version})
Suggests: hspell
Replaces: kdelibs5 (<< 4:4.4.60)
Breaks: kdelibs5 (<< 4:4.4.60)
Description: KDE Platform User Interface Library
 This library provides standard user interface elements for use in KDE
 Applications. If your KDE Application has a GUI, you will almost certainly
 link to this library.
 .
 A spell-checker functionality is also provided. Sonnet offers easy access to
 International ISpell or ASpell as well as a spell-checker GUI ("Add",
 "Replace", etc.).
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkpty4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdelibs5 (<< 4:4.4.60)
Breaks: kdelibs5 (<< 4:4.4.60)
Description: Pseudo Terminal Library for the KDE Platform
 This library provides primitives to interface with pseudo terminal devices as
 well as a KProcess derived class for running child processes and communicating
 with them using a pty.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkdesu5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, xauth
Replaces: kdelibs5 (<< 4:4.4.60)
Breaks: kdelibs5 (<< 4:4.4.60)
Description: Console-mode Authentication Library for the KDE Platform
 This library provides functionality for building GUI front ends for (password
 asking) console mode programs. For example, kdesu and kdessh use it to
 interface with su and ssh respectively.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkjsapi4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdelibs5 (<< 4:4.4.60)
Breaks: kdelibs5 (<< 4:4.4.60)
Description: KJS API Library for the KDE Development Platform
 This library provides an ECMAScript compatible interpreter. The ECMA standard
 is based on well known scripting languages such as Netscape's JavaScript and
 Microsoft's JScript.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkjsembed4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdelibs5 (<< 4:4.4.60)
Breaks: kdelibs5 (<< 4:4.4.60)
Description: library for binding JavaScript objects to QObjects
 This library provides a method of binding JavaScript objects to QObjects, so
 you can script your applications. It also provides an interface for running
 embedded Javascript.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkio5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: kdelibs5-plugins (= ${binary:Version})
Replaces: kdelibs5 (<< 4:4.4.60), kdelibs5-data (<< 4:4.4.60)
Breaks: kdelibs5 (<< 4:4.4.60), kdelibs5-data (<< 4:4.4.60)
Description: Network-enabled File Management Library for the KDE Platform
 This library implements almost all the file management functions you will ever
 need. In fact, the KDE file manager, Konqueror also uses this to provide its
 network-enabled file management. This library also implements the KDE file
 selector widget.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkntlm4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdelibs5 (<< 4:4.4.60)
Breaks: kdelibs5 (<< 4:4.4.60)
Description: NTLM Authentication Library for the KDE Platform
 This library is useful for creating the authentication structures which
 can be used for various servers which implement NTLM type authentication. A
 comprehensive description of the NTLM authentication protocol can be found at
 http://davenport.sourceforge.net/ntlm.html
 .
 The library also provides subroutines to create the LanManager and NT (MD4)
 hashes of a password.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libsolid4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, udev [linux-any], hal [!linux-any]
Recommends: udisks [linux-any], upower [linux-any]
Replaces: kdelibs5 (<< 4:4.4.60)
Breaks: kdelibs5 (<< 4:4.4.60), kde-config-tablet (<< 1.2.5), kde-config-tablet (<< 1.2.5)
Description: Solid Library for KDE Platform
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 This package is part of the KDE Development Platform libraries module.
Homepage: http://solid.kde.org/

Package: libkde3support4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdelibs5 (<< 4:4.4.60)
Breaks: kdelibs5 (<< 4:4.4.60)
Description: KDE 3 Support Library for the KDE 4 Platform
 The classes here are only for convenience of porting from KDE 3 to KDE 4
 Platform. They are not supposed to be used for a long time. You should move on
 to replacement classes provided by the framework or implement something
 yourself in the long run.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkfile4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdelibs5 (<< 4:4.4.60), kdelibs5-data (<< 4:4.4.60)
Breaks: kdelibs5 (<< 4:4.4.60), kdelibs5-data (<< 4:4.4.60)
Description: File Selection Dialog Library for KDE Platform
 This library provides the file selection dialog and its components.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libknewstuff2-4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: kdelibs5-data (= ${source:Version}), gnupg
Replaces: kdelibs5 (<< 4:4.4.60)
Breaks: kdelibs5 (<< 4:4.4.60)
Description: "Get Hot New Stuff" v2 Library for the KDE Platform
 The KNewStuff2 ("Get Hot New Stuff" v2)  library adds data sharing
 capabilities to KDE Applications. Technically, it implements the GHNS and DXS
 specifications. The library consists of three parts: the data management core
 and GHNS protocol implementation, the DXS web service handler, and the user
 interface classes like dialogs and buttons.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libknewstuff3-4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: kdelibs5-data (= ${source:Version}), gnupg
Replaces: kdelibs5 (<< 4:4.4.60)
Breaks: kdelibs5 (<< 4:4.4.60)
Description: "Get Hot New Stuff" v3 Library for the KDE Platform
 The KNewStuff3 ("Get Hot New Stuff" v3) library adds data sharing capabilities
 to the KDE Applications. It uses libattica to access Open Collaboration
 Services providers. In addition the static XML from GHNS is supported.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkparts4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdelibs5 (<< 4:4.4.60), kdelibs5-data (<< 4:4.4.60)
Breaks: kdelibs5 (<< 4:4.4.60), kdelibs5-data (<< 4:4.4.60)
Description: Framework for the KDE Platform Graphical Components
 This library implements the framework for reusable KDE components (kparts),
 which are elaborate widgets with a user-interface defined in terms of actions
 (menu items, toolbar icons).
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkutils4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdelibs5 (<< 4:4.4.60)
Breaks: kdelibs5 (<< 4:4.4.60)
Description: dummy transitional library
 This library has been split into libkcmutils4, libkprintutils4,
 libkidletime4 and libkemoticons4. This binary is provided to keep
 binary compatibility with software that was compiled against it.
 New software should not link against this library.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libthreadweaver4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdelibs5 (<< 4:4.4.60)
Breaks: kdelibs5 (<< 4:4.4.60) 
Description: ThreadWeaver Library for the KDE Platform
 ThreadWeaver is a helper for multithreaded programming. It uses a job-based
 interface to queue tasks and execute them in an efficient way.  You simply
 divide the workload into jobs, state the dependencies between the jobs and
 ThreadWeaver will work out the most efficient way of dividing the work between
 threads within a set of resource limits.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkhtml5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: kdelibs5-plugins (= ${binary:Version})
Replaces: kdelibs5 (<< 4:4.4.60)
Breaks: kdelibs5 (<< 4:4.4.60)
Description: KHTML Web Content Rendering Engine
 This library provides the component based on the KDE parts framework that can
 be used to embed a fully-fledged HTML browser widget in any KDE Application.
 This library uses the KHTML Web Content Rendering Engine to rendering.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkimproxy4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdelibs5 (<< 4:4.4.60), kdelibs5-data (<< 4:4.4.60)
Breaks: kdelibs5 (<< 4:4.4.60), kdelibs5-data (<< 4:4.4.60)
Description: Instant Messaging Interface Library for the KDE Platform
 This library provides an easy-to-use interface to any instant messengers or
 chat programs that implement KIMIface.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkmediaplayer4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdelibs5 (<< 4:4.4.60), kdelibs5-data (<< 4:4.4.60)
Breaks: kdelibs5 (<< 4:4.4.60), kdelibs5-data (<< 4:4.4.60)

=== debian/rules ===
#!/usr/bin/make -f

export KUBUNTU_DESKTOP_POT=kdelibs

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

# Fixes FTBFS (4:4.3.4-2) on ia64 (khtml code is too large to fit):
#   html/khtmlview.cpp:3623: relocation truncated to fit: GPREL22 against `.rodata'
# etc. We will have to reevalute if this is still needed some time later.
ifeq (ia64,$(shell dpkg-architecture -qDEB_HOST_ARCH))
    export CFLAGS += -ffunction-sections
    export CXXFLAGS += -ffunction-sections
endif

override_dh_auto_configure:
	$(overridden_command) -- -DKDE4_BUILD_TESTS=false \
	    -DKDE_DISTRIBUTION_TEXT="Kubuntu packages" \
	    -DKDE4_USE_ALWAYS_FULL_RPATH=false \
	    -DCONFIG_INSTALL_DIR=/usr/share/kde4/config \
	    -DDATA_INSTALL_DIR=/usr/share/kde4/apps \
	    -DHTML_INSTALL_DIR=/usr/share/doc/kde/HTML \
	    -DKCFG_INSTALL_DIR=/usr/share/kde4/config.kcfg \
	    -DLIB_INSTALL_DIR=/usr/lib \
	    -DSYSCONF_INSTALL_DIR=/etc \
	    -DLIBKDEINIT_INSTALL_DIR:PATH=/usr/lib/kde4/libkdeinit \
	    -DKDESU_USE_SUDO_DEFAULT=true

.PHONY: override_dh_auto_test

override_dh_auto_install:
	$(overridden_command)
	chmod a+x debian/tmp/usr/share/kde4/apps/kconf_update/ksslcertificatemanager.upd.sh

override_dh_makeshlibs:
	$(overridden_command) -- -c0

override_dh_strip:
	$(overridden_command) --dbg-package=kdelibs5-dbg

# remove dependencies on kdebase-runtime and phonon (the metapackage)
override_dh_shlibdeps:
	$(overridden_command) -- -xkde-runtime -xphonon

override_dh_fixperms:
	$(overridden_command) -Xusr/lib/kde4/libexec/fileshareset

# Library stuff
libpkgs_addsubst_allLibraries = kdelibs5-dev kdelibs5-dbg
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk
